Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class SequenceRange1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.SequenceRange1Choice

public class SequenceRange1Choice extends Object

Java class for SequenceRange1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SequenceRange1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="FrSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text"/>
             <element name="ToSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text"/>
             <element name="FrToSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}SequenceRange1" maxOccurs="unbounded"/>
             <element name="EQSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text" maxOccurs="unbounded"/>
             <element name="NEQSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text" maxOccurs="unbounded"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`eqSeq`
`protected String`
`frSeq`
`protected List<SequenceRange1>`
`frToSeq`
`protected List<String>`
`neqSeq`
`protected String`
`toSeq`

## Constructor Summary

Constructors
Constructor
Description
`SequenceRange1Choice()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getEQSeq()`
Gets the value of the eqSeq property.
`String`
`getFrSeq()`
Gets the value of the frSeq property.
`List<SequenceRange1>`
`getFrToSeq()`
Gets the value of the frToSeq property.
`List<String>`
`getNEQSeq()`
Gets the value of the neqSeq property.
`String`
`getToSeq()`
Gets the value of the toSeq property.
`void`
`setFrSeq(String value)`
Sets the value of the frSeq property.
`void`
`setToSeq(String value)`
Sets the value of the toSeq property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frSeq

protected String frSeq

### toSeq

protected String toSeq

### frToSeq

protected List<SequenceRange1> frToSeq

### eqSeq

protected List<String> eqSeq

### neqSeq

protected List<String> neqSeq

## Constructor Details

### SequenceRange1Choice

public SequenceRange1Choice()

## Method Details

### getFrSeq

public String getFrSeq()
Gets the value of the frSeq property.

Returns:
  possible object is `String`

### setFrSeq

public void setFrSeq(String value)
Sets the value of the frSeq property.

Parameters:
  `value` - allowed object is `String`

### getToSeq

public String getToSeq()
Gets the value of the toSeq property.

Returns:
  possible object is `String`

### setToSeq

public void setToSeq(String value)
Sets the value of the toSeq property.

Parameters:
  `value` - allowed object is `String`

### getFrToSeq

public List<SequenceRange1> getFrToSeq()
Gets the value of the frToSeq property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the frToSeq property.

For example, to add a new item, do as follows:

        getFrToSeq().add(newItem);

Objects of the following type(s) are allowed in the list `SequenceRange1`

### getEQSeq

public List<String> getEQSeq()
Gets the value of the eqSeq property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the eqSeq property.

For example, to add a new item, do as follows:

        getEQSeq().add(newItem);

Objects of the following type(s) are allowed in the list `String`

### getNEQSeq

public List<String> getNEQSeq()
Gets the value of the neqSeq property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the neqSeq property.

For example, to add a new item, do as follows:

        getNEQSeq().add(newItem);

Objects of the following type(s) are allowed in the list `String`